qmf::engine::BrokerProxy Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::BrokerProxy Class Reference

`#include <qmf/engine/Console.h>`

List of all members.

## Public Member Functions
| BrokerProxy (Console &console)
| ~BrokerProxy ()
void | sessionOpened (SessionHandle &sh)
void | sessionClosed ()
void | startProtocol ()
void | handleRcvMessage (Message &message)
bool | getXmtMessage (Message &item) const
void | popXmt ()
bool | getEvent (BrokerEvent &event) const
void | popEvent ()
uint32_t | agentCount () const
const AgentProxy * | getAgent (uint32_t idx) const
void | sendQuery (const Query &query, void *context, const AgentProxy *agent=0)

## Constructor & Destructor Documentation

qmf::engine::BrokerProxy::BrokerProxy | ( | Console & | console | ) |

qmf::engine::BrokerProxy::~BrokerProxy | ( |  | ) |

## Member Function Documentation

uint32_t qmf::engine::BrokerProxy::agentCount | ( |  | ) | const

const AgentProxy* qmf::engine::BrokerProxy::getAgent | ( | uint32_t | idx | ) | const

bool qmf::engine::BrokerProxy::getEvent | ( | BrokerEvent & | event | ) | const

bool qmf::engine::BrokerProxy::getXmtMessage | ( | Message & | item | ) | const

void qmf::engine::BrokerProxy::handleRcvMessage | ( | Message & | message | ) |

void qmf::engine::BrokerProxy::popEvent | ( |  | ) |

void qmf::engine::BrokerProxy::popXmt | ( |  | ) |

void qmf::engine::BrokerProxy::sendQuery | ( | const Query & | query,
|  | void * | context,
|  | const AgentProxy * | agent = `0`
| ) |  |

void qmf::engine::BrokerProxy::sessionClosed | ( |  | ) |

void qmf::engine::BrokerProxy::sessionOpened | ( | SessionHandle & | sh | ) |

void qmf::engine::BrokerProxy::startProtocol | ( |  | ) |

The documentation for this class was generated from the following file:

- qmf/engine/Console.h